!> \file massbal-anteis-0.2.f
!! Calcule ...
!<

!> SUBROUTINE:  MASSB_ANTEIS ()
!! \author ...
!! \date  ...
!! @note Cette routine calcul ...
!! @note copie de massbal-anteis-0.2.f (modif calcul TA)
!! @note Used modules:
!! @note    - use module3D_phy
!<
      subroutine MASSB_ANTEIS ()
c     subroutine Mass Balance eismint pour l'Antarctique

       USE module3D_phy
!      USE MODULE_CHOIX

      implicit none


        INTEGER:: RETROAC

        RETROAC=1

         if (itracebug.eq.1)  call tracebug(
     &         ' Antar: entree dans MASSB_ANTEIS ')


c     surface temperature et accumulation
      do J=1,NY
        do I=1,NX

c       les quatres lignes suivantes sont pour la temperature parametree

c             TANN(I,J)=34.46-0.00914*S(I,J)-0.68775*abs(YLAT(i,j))
c             TANN(I,J)=TANN(I,J)+TAFOR
c            TJULY(I,J)=16.81-0.00692*S(I,J)-0.27973*abs(YLAT(I,J))
c             TJULY(I,J)=TJULY(I,J)+TAFOR

c       Pour utiliser la carte de temperature, on utilise les
c       gradients de la parametrisation et on garde la meme
c       amplitude saisonniere
c            TJULY=TANN+(16.81-34.46)-(0.00692-0.00914)S(I,J)
c                      -(0.27973-0.68775)YLAT(I,J)
c            TJULY=TANN-17.65+0.00222*S(I,J)+0.40802*Ylat(i,j)

c       les lignes suivantes sont pour la temperature "carte"

             if(RETROAC.eq.1) then
                Tann(i,j)=TA0(I,J)-0.00914*(S(i,j)-S0(I,J))+TAFOR
! Modif pour temp avec forcage Vince juin 2004 
!a changer si climat_perturb                     
!           Tann(i,j)=TA0(I,J)-0.00914*(S(i,j)-S0(I,J))+delTatime(i,j)
                 TJULY(I,J)=TANN(I,J)-17.65+0.00222*S(I,J)
     &                                 +0.40802*abs(YLAT(I,J))


                  if (icouple.eq.2) then
                   ACC(I,J)=1.5*2.**(Tann(I,J)/10.)
                   else if (icouple.eq.4) then
                   ACC(I,J)=PRECIP(I,J)*exp(0.070*(TANN(I,J)-TA0(I,J)))
c                  ACC(I,J)=1.5*2.**(Tann(I,J)/10.)  ! test pour pref8
                  endif

           else if(RETROAC.eq.0) then
                 Tann(i,j)=TA0(I,J)
                 TJULY(I,J)=TANN(I,J)

                  if (icouple.eq.2) then
                ACC(I,J)=1.5*2.**(Tann(I,J)/10.)
c            	   ACC(I,J)=(Tann(I,J)/10.)
                  else if (icouple.eq.4) then
C             	  ACC(I,J)=PRECIP(I,J)
c                 ACC(I,J)=1.5*2.**(Tann(I,J)/10.)  ! test pour pref8
                ACC(I,J)=PRECIP(I,J)*exp(0.070*(TANN(I,J)-TA0(I,J)))
                  endif

           endif

        end do
      end do

c     ablation et bilan de masse
       call ablation()

      return
      end
