!> \file geography-Ant15_LBq.f90
!! Ce module permet de choisir le domaine geographique qu'on veut utiliser
!<

!> \namespace geography
!! Module pour choisir le domaine geographique qu'on veut utiliser
!! \author ...
!! \date ...
!! @note Used module
!! @note   - use module_ant15_LBq
!<

module geography

! quand on veut choisir l eurasie
! avec plusieurs resolutions
! use module_euras40 
! use module_euras20 
! use module_euras10 

! quand on veut choisir le nord
!  use module_nord  

! L'antarctique en 40 km
! use  module_ant40

! L'antarctique en 15 km sur grille CISM
!use module_ant15_CISM

! L'antarctique en 15 km sur grille Le Brocq
! use module_ant15_LBq

! l'exprience Heino d'ISMIP
!  use module_Heino


! les experiences Ice2sea sur le Groenland
use  grIce2sea_cutT     ! 5 km en 378x591 (intersection cartes Quiquet-Bamber)

end module geography
